Ubuntu

unity not working on rotated displays

Reported by Robert Roth on 2010-12-26
38
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Unity
Medium
Jay Taoko
unity (Ubuntu)
High
Canonical Desktop Experience Team
Natty
High
Canonical Desktop Experience Team

Bug Description

Binary package hint: unity

When using Unity with a rotated display (Monitors-> Rotate Left) the unity desktop has the following issues:
1) the indicators are not visible
2) the interface is rendered in the bottom part of the screen, but the launcher icons can't be clicked
3) launcher icons have to be clicked on their imaginary places on the top of the screen

See the screenshot to show what I do mean

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.2.8-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.37-11.25-generic-pae 2.6.37-rc7
Uname: Linux 2.6.37-11-generic-pae i686
Architecture: i386
CompizPlugins: No value set for `/apps/compiz-1/general/allscreens/options/active_plugins'
Date: Sun Dec 26 22:55:49 2010
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
InstallationMedia_: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
MachineType: Dell Inc. Inspiron 560
PciDisplay: 00:02.0 VGA compatible controller [0300]: Intel Corporation 4 Series Chipset Integrated Graphics Controller [8086:2e22] (rev 03) (prog-if 00 [VGA controller])
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 LC_MESSAGES=en_US.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.37-11-generic-pae root=UUID=8c20069a-612a-4211-bbb9-e18cc6e7bd36 ro vt.handoff=7 quiet splash
ProcVersionSignature_: Ubuntu 2.6.37-11.25-generic-pae 2.6.37-rc7
RelatedPackageVersions:
 xserver-xorg 1:7.5+6ubuntu6
 libgl1-mesa-glx 7.9+repack-1ubuntu3
 libdrm2 2.4.22-2ubuntu1
 xserver-xorg-video-intel 2:2.13.901-2ubuntu2
 xserver-xorg-video-ati 1:6.13.2-1ubuntu2
SourcePackage: unity
XorgConf: Error: [Errno 2] No such file or directory: '/etc/X11/xorg.conf'
dmi.bios.date: 05/05/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A03
dmi.board.name: 0K83V0
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 3
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: Not Specified
dmi.modalias: dmi:bvnDellInc.:bvrA03:bd05/05/2010:svnDellInc.:pnInspiron560:pvr00:rvnDellInc.:rn0K83V0:rvrA00:cvnDellInc.:ct3:cvrNotSpecified:
dmi.product.name: Inspiron 560
dmi.product.version: 00
dmi.sys.vendor: Dell Inc.
glxinfo: Error: [Errno 2] No such file or directory
system: distro = Ubuntu, architecture = i686, kernel = 2.6.37-11-generic-pae

Robert Roth (evfool) wrote :
Gord Allott (gordallott) on 2011-02-02
Changed in unity:
importance: Undecided → Medium
status: New → Triaged
Alex Launi (alexlauni) on 2011-02-16
Changed in unity (Ubuntu):
status: New → Confirmed
Espen Arnesen (espen77) wrote :

Bug 720568 is a duplicate of this bug:
https://bugs.launchpad.net/ubuntu/+source/unity/+bug/720568

i dont know if this is related but on lucid i use:
"xsetwacom --set "Serial Wacom Tablet" Rotate CW
xrandr -o right"

while in natty i need to use:
"xsetwacom --set "Serial Wacom Tablet stylus" Rotate CCW
xrandr -o right"

for lucid i had to rotate the wacom clockwise while in natty counter clockwise for the same effect.

Also for each time i rotate the screen it gets a little bit darker, until it start flashing. I have to set the brightnes again to get back to normal.

Changed in unity (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Changed in unity (Ubuntu Natty):
assignee: nobody → Canonical Desktop Experience Team (canonical-dx-team)
Neil J. Patel (njpatel) on 2011-02-25
Changed in unity:
assignee: nobody → Neil J. Patel (njpatel)
milestone: none → 3.6
Neil J. Patel (njpatel) on 2011-03-01
Changed in unity:
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-03-01
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.6.0-0ubuntu1

---------------
unity (3.6.0-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Menu bar becomes blank periodically (LP: #683065)
    - Unity does not update when screen resolution changes (LP: #684539)
    - [dash] Keyboard navigation not implemented as specified (LP: #608132)
    - Dash - build the Desktop Dash (LP: #683719)
    - Quicklists not working (LP: #719780)
    - Launcher auto hide animation has a life of it's own / Unity launcher
      constantly sliding in and out without user interaction (LP: #717364)
    - compiz crashed with SIGSEGV in PrivateWindow::getModalTransient()
      (LP: #726235)
    - Don't show launcher number overlays on tap of super (LP: #726630)
    - Optimize texture memory usage for unexposed view icons (LP: #609994)
    - Unity should handle video-out keycodes that correspond to Super + P +
      Enter (LP: #632632)
    - dash - wrong count of remaining items to see (LP: #662605)
    - dash - x search box button visibility (LP: #662614)
    - Touch window management gesture previews (LP: #683688)
    - unity not working on rotated displays (LP: #694596)
    - unity main top bar in displays in wrong area (multi-head issue)
      (LP: #707209)
    - unity place group visual improvements (LP: #714528)
    - Implement ref_state_set for toplevel ATK objects in the panel service
      (LP: #715299)
    - Alt + F1 doesn't show the launcher if hidden (LP: #717125)
    - Keyboard navigation: Choosing a window from launcher doesn't change
      input focus. (LP: #721811)
    - Quicklists not closing when losing focus (LP: #724739)
    - wrong animation in the launcher (LP: #724956)
    - Window management - windows go below launcher and panel (LP: #725463)
    - Media and PrintScreen keys don't work (LP: #621887)
    - super-shortcuts should be "serializable" (LP: #638936)
    - Chromium icon in Unity is distorted / some scaled distored in the unity
      place applications (LP: #670169)
    - launcher stays on screen when it shouldn't | false show/hide positives
      on the launcher (LP: #711176)
    - Keyboard navigation: no public API to know the current Laucher Icon
      selected when key nav is activated (LP: #722660)
    - Require to implement AtkSelection on the Launcher (LP: #723804)
    - LauncherIcon accessibility support requires to expose the selection
      state (LP: #723806)
    - Add keyboard shortcuts for launching separate instances of applications
      (LP: #724865)
  * debian/control:
    - dep on latest nux
 -- Didier Roche <email address hidden> Tue, 01 Mar 2011 14:27:16 +0100

Changed in unity (Ubuntu Natty):
status: Triaged → Fix Released
Espen Arnesen (espen77) wrote :

I still have this problem.
attached a screenshot showing this with unity 3.6.0

Brian Murray (brian-murray) wrote :

I too am seeing the bug as reported with unity version 3.6.0-0ubuntu1.

Changed in unity (Ubuntu Natty):
status: Fix Released → Triaged
Didier Roche (didrocks) on 2011-03-02
Changed in unity:
status: Fix Released → Triaged
milestone: 3.6 → 3.6.4
Neil J. Patel (njpatel) on 2011-03-10
Changed in unity:
assignee: Neil J. Patel (njpatel) → Jay Taoko (jaytaoko)
status: Triaged → Fix Committed
Neil J. Patel (njpatel) on 2011-03-10
Changed in unity (Ubuntu Natty):
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-03-10
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.6.4-0ubuntu1

---------------
unity (3.6.4-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Unity: Alt-F2 not working (LP: #580295)
    - When running with dual monitors, Unity will use the height of the larger
      one for calculating when to fold (LP: #696388)
    - Unity app launcher is filled up with doublettes (LP: #690537)
    - Unity interface not resized properly when external monitor is used
      (LP: #691772)
    - Dash needs keyboard navigation (LP: #727714)
    - It is possible to focus Unity itself and Close it from the global menu
      (LP: #728790)
    - Systray icons showing on top of everything (LP: #728719)
    - Pressing ENTER in the dash during a search should open the first
      displayed item (LP: #729699)
    - compiz crashed with SIGSEGV in LauncherIcon::OpenQuicklist()
      (LP: #731096)
    - inactive menus are not shown (LP: #732162)
    - Icon-only menu titles don't have accessible names (LP: #691677)
    - unity not working on rotated displays (LP: #694596)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #709649)
    - Dragging .desktop file to launcher's trash creates space for new
      launcher icon (LP: #717250)
    - Unable to scroll in Applications/Files and Folders Place using mouse
      wheel (LP: #721447)
    - The applications place is empty (LP: #724259)
    - compiz crashed with SIGSEGV in
      nux::GpuRenderStates::SubmitChangeStates() (LP: #719156)
    - Quicklists are difficult to dismiss (LP: #726890)
    - Apps in Available group not rendered in Dash (LP: #729710)
    - Clicking on Shortcuts header doesn't do anything. (LP: #730774)
    - Zeitgeist FTS Extension doesn't filter on subject URIs (LP: #731208)
    - dual monitor,,,upper panel turns white / nvidia (LP: #685179)
    - Dash file Lens – Rename “Favourite Folders” category header to “Folders”
      (LP: #723866)
    - looking for 'places' icons in the wrong location (LP: #727672)
    - Empty trash quicklist item is missing an ellipsis (LP: #731472)
    - Wastebasket quicklist is missing “Empty Wastebasket” option when the
      wastebasket is empty (LP: #723880)
    - Emptying the trash from the unity sidebar should respect nautilus' "Ask
      before emptying" setting (LP: #730003)
    - start-here icon updated at wrong time (LP: #726267)
    - Unity overlay unhide issue (LP: #726926)
    - Orca doesn't report that the Launcher receives the focus (LP: #727133)
    - Accessibility object parent-child hierarchy on unity is broken
      (LP: #727908)
    - Regression: Orca doesn't speech out the selection changes on the
      Launcher (LP: #729165)
    - quicklist must respect enabled state (LP: #731533)
    - unity-panel-service crashed with SIGSEGV in
      dbusmenu_menuitem_send_about_to_show() (LP: #725631)
  * debian/control:
    - build-dep on latest nux
 -- Didier Roche <email address hidden> Thu, 10 Mar 2011 19:52:53 +0100

Changed in unity (Ubuntu Natty):
status: Fix Committed → Fix Released
Gabriel (misc-evotex) wrote :

Hi,

I still have this with unity 3.8.14-0ubuntu1~natty1, I thought it had been fixed (twice)... I'm attaching a screenshot. Oh, and the top bar appeared only after I pressed the PrtSc key, it wasn't there before.

Thanks,
Gabriel

Gabriel (misc-evotex) wrote :
Albert Compte (albert-compte) wrote :

Hi,

I also see the same thing. I installed 11.04 from the downloaded iso file on my Lenovo x60 and screen rotation with xrandr worked perfectly in combination with unity. Only when I did an apt-get upgrade, I started getting the black window on top of the screen in portrait mode. I now have unity 3.8.14-0

Thanks,

Albert

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers